package com.ruoyi.system.domain.task;

import java.io.Serializable;
import java.util.Date;

public class TkRoundPlan implements Serializable {
    /**
     * 巡查计划ID
     *
     * @mbg.generated
     */
    private String id;

    /**
     * 巡查计划名称
     *
     * @mbg.generated
     */
    private String name;

    /**
     * 巡查说明
     *
     * @mbg.generated
     */
    private String description;

    /**
     * 巡查人员ID集合
     *
     * @mbg.generated
     */
    private String userIds;

    /**
     * 巡查人员姓名集合
     *
     * @mbg.generated
     */
    private String userNames;

    /**
     * 巡查周期类型（月：1、周：2、日：3、日巡查：4）
     *
     * @mbg.generated
     */
    private String periodType;

    /**
     * 间隔频次
     *
     * @mbg.generated
     */
    private String periodInterval;

    /**
     * 巡查周期频率
     *
     * @mbg.generated
     */
    private String periodHz;

    /**
     * 生效日期
     *
     * @mbg.generated
     */
    private Date startDate;

    /**
     * 截止日期
     *
     * @mbg.generated
     */
    private Date endDate;

    /**
     * 巡查对象类型
     *
     * @mbg.generated
     */
    private String objType;

    /**
     * 对象name集合
     *
     * @mbg.generated
     */
    private String objNames;

    /**
     * 巡查对象json数据
     *
     * @mbg.generated
     */
    private String objJson;

    /**
     * 巡查事项ID
     *
     * @mbg.generated
     */
    private String matterId;

    /**
     * 巡查事项名称
     *
     * @mbg.generated
     */
    private String matterName;

    /**
     * 状态
     *
     * @mbg.generated
     */
    private String status;

    /**
     * 创建人
     *
     * @mbg.generated
     */
    private String createBy;

    /**
     * 创建人姓名
     *
     * @mbg.generated
     */
    private String createName;

    /**
     * 创建时间
     *
     * @mbg.generated
     */
    private Date createTime;

    /**
     * 修改人
     *
     * @mbg.generated
     */
    private String updateBy;

    /**
     * 修改时间
     *
     * @mbg.generated
     */
    private Date updateTime;

    /**
     * 巡查对象ID集合
     *
     * @mbg.generated
     */
    private String objIds;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getUserIds() {
        return userIds;
    }

    public void setUserIds(String userIds) {
        this.userIds = userIds;
    }

    public String getUserNames() {
        return userNames;
    }

    public void setUserNames(String userNames) {
        this.userNames = userNames;
    }

    public String getPeriodType() {
        return periodType;
    }

    public void setPeriodType(String periodType) {
        this.periodType = periodType;
    }

    public String getPeriodInterval() {
        return periodInterval;
    }

    public void setPeriodInterval(String periodInterval) {
        this.periodInterval = periodInterval;
    }

    public String getPeriodHz() {
        return periodHz;
    }

    public void setPeriodHz(String periodHz) {
        this.periodHz = periodHz;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public String getObjType() {
        return objType;
    }

    public void setObjType(String objType) {
        this.objType = objType;
    }

    public String getObjNames() {
        return objNames;
    }

    public void setObjNames(String objNames) {
        this.objNames = objNames;
    }

    public String getObjJson() {
        return objJson;
    }

    public void setObjJson(String objJson) {
        this.objJson = objJson;
    }

    public String getMatterId() {
        return matterId;
    }

    public void setMatterId(String matterId) {
        this.matterId = matterId;
    }

    public String getMatterName() {
        return matterName;
    }

    public void setMatterName(String matterName) {
        this.matterName = matterName;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getObjIds() {
        return objIds;
    }

    public void setObjIds(String objIds) {
        this.objIds = objIds;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", name=").append(name);
        sb.append(", description=").append(description);
        sb.append(", userIds=").append(userIds);
        sb.append(", userNames=").append(userNames);
        sb.append(", periodType=").append(periodType);
        sb.append(", periodInterval=").append(periodInterval);
        sb.append(", periodHz=").append(periodHz);
        sb.append(", startDate=").append(startDate);
        sb.append(", endDate=").append(endDate);
        sb.append(", objType=").append(objType);
        sb.append(", objNames=").append(objNames);
        sb.append(", objJson=").append(objJson);
        sb.append(", matterId=").append(matterId);
        sb.append(", matterName=").append(matterName);
        sb.append(", status=").append(status);
        sb.append(", createBy=").append(createBy);
        sb.append(", createName=").append(createName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateBy=").append(updateBy);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", objIds=").append(objIds);
        sb.append("]");
        return sb.toString();
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        TkRoundPlan other = (TkRoundPlan) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getName() == null ? other.getName() == null : this.getName().equals(other.getName()))
            && (this.getDescription() == null ? other.getDescription() == null : this.getDescription().equals(other.getDescription()))
            && (this.getUserIds() == null ? other.getUserIds() == null : this.getUserIds().equals(other.getUserIds()))
            && (this.getUserNames() == null ? other.getUserNames() == null : this.getUserNames().equals(other.getUserNames()))
            && (this.getPeriodType() == null ? other.getPeriodType() == null : this.getPeriodType().equals(other.getPeriodType()))
            && (this.getPeriodInterval() == null ? other.getPeriodInterval() == null : this.getPeriodInterval().equals(other.getPeriodInterval()))
            && (this.getPeriodHz() == null ? other.getPeriodHz() == null : this.getPeriodHz().equals(other.getPeriodHz()))
            && (this.getStartDate() == null ? other.getStartDate() == null : this.getStartDate().equals(other.getStartDate()))
            && (this.getEndDate() == null ? other.getEndDate() == null : this.getEndDate().equals(other.getEndDate()))
            && (this.getObjType() == null ? other.getObjType() == null : this.getObjType().equals(other.getObjType()))
            && (this.getObjNames() == null ? other.getObjNames() == null : this.getObjNames().equals(other.getObjNames()))
            && (this.getObjJson() == null ? other.getObjJson() == null : this.getObjJson().equals(other.getObjJson()))
            && (this.getMatterId() == null ? other.getMatterId() == null : this.getMatterId().equals(other.getMatterId()))
            && (this.getMatterName() == null ? other.getMatterName() == null : this.getMatterName().equals(other.getMatterName()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getCreateBy() == null ? other.getCreateBy() == null : this.getCreateBy().equals(other.getCreateBy()))
            && (this.getCreateName() == null ? other.getCreateName() == null : this.getCreateName().equals(other.getCreateName()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getUpdateBy() == null ? other.getUpdateBy() == null : this.getUpdateBy().equals(other.getUpdateBy()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
            && (this.getObjIds() == null ? other.getObjIds() == null : this.getObjIds().equals(other.getObjIds()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getName() == null) ? 0 : getName().hashCode());
        result = prime * result + ((getDescription() == null) ? 0 : getDescription().hashCode());
        result = prime * result + ((getUserIds() == null) ? 0 : getUserIds().hashCode());
        result = prime * result + ((getUserNames() == null) ? 0 : getUserNames().hashCode());
        result = prime * result + ((getPeriodType() == null) ? 0 : getPeriodType().hashCode());
        result = prime * result + ((getPeriodInterval() == null) ? 0 : getPeriodInterval().hashCode());
        result = prime * result + ((getPeriodHz() == null) ? 0 : getPeriodHz().hashCode());
        result = prime * result + ((getStartDate() == null) ? 0 : getStartDate().hashCode());
        result = prime * result + ((getEndDate() == null) ? 0 : getEndDate().hashCode());
        result = prime * result + ((getObjType() == null) ? 0 : getObjType().hashCode());
        result = prime * result + ((getObjNames() == null) ? 0 : getObjNames().hashCode());
        result = prime * result + ((getObjJson() == null) ? 0 : getObjJson().hashCode());
        result = prime * result + ((getMatterId() == null) ? 0 : getMatterId().hashCode());
        result = prime * result + ((getMatterName() == null) ? 0 : getMatterName().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getCreateBy() == null) ? 0 : getCreateBy().hashCode());
        result = prime * result + ((getCreateName() == null) ? 0 : getCreateName().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getUpdateBy() == null) ? 0 : getUpdateBy().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getObjIds() == null) ? 0 : getObjIds().hashCode());
        return result;
    }
}